Bug 1003889 - Missing property for Start Events - 'Is Interrupting'
Missing property for Start Events - 'Is Interrupting'
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER2
: 6.0.1
Assigned To: Pere Fernàndez
Marek Baluch
:
Depends On:
Blocks: 976730
  Show dependency treegraph
 
Reported: 2013-09-03 08:50 EDT by Sona Mala
Modified: 2014-08-06 16:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: This property is not supported by jBPM. Consequence: Missing property "Is Interrupting" in designer Properties bar for Star Events. Workaround (if any): Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:04:03 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-09-03 08:50:17 EDT
Description of problem:
During transformation of the property bar from DR6 to CR2, the property 'Is Interrupting' was removed.

Is this property supported for 6.0.0?

Steps to Reproduce:
1. Open the property bar for Start Event.

Actual results:
'Is Interrupting' is missing.

Expected results:
The property bar contains 'Is interrupting' property for Start Event. I think that this is an important attribute and should be supported by 6.0.0.


Additional info:
Description of property - BPMN2 specification, page 245
Comment 1 Tihomir Surdilovic 2013-10-07 12:14:24 EDT
this property is currently not used in parser and is set to true by default on bpmn2 level. not user configurable at this point.
Comment 2 Kris Verlaenen 2013-10-07 12:30:45 EDT
Will need to consider adding support for this property.
Comment 4 Marek Baluch 2014-03-09 06:50:40 EDT
Verified on 6.0.1.ER2.

isInterrupting is present and the default value is true.

Note You need to log in before you can comment on or make changes to this bug.